require 'net/http'
require 'uri'
require 'json'

module Convertify
	def convert(amount, current, convert_to)
		url = URI('http://data.fixer.io/api/latest?access_key=77622eb94ba284531ea444fa6b591419&symbols=USD, CAD, AUD, PLN, MXN')
		response = Net::HTTP.get(url)
		response = JSON.parse(response)
		amount * response["rates"][convert_to] / response["rates"][current]
	end

	def format(num)
		"$#{num.round(2)}"
	end

end